#ifndef _GIF_H_

#define _GIF_H_

typedef unsigned char Byte;

typedef struct {
  unsigned long width;
  unsigned long height;
} WidthHeight;

/* function prototypes */


int ReadImageData(FILE *fp);
int ReadCode();
int DecodeImage();
int ColorDicking(int free_flag);
void ReadColormap(FILE *fp);
int LoadGIF(char *fname);
unsigned char *LoadGifToBuffer(char *filename, int *width, int *height);
WidthHeight *ReadGifSize(char *filename);
img_t *LoadGifToImageBuffer(char *filename);
img_t *LoadRawGifToImageBuffer(char *filename);
colormap_t *GetLastGifColorMap();
img_t *ApplyGifColorMap(img_t *index_image, colormap_t *cmap);

#endif
